QGIS Application - Bug report #10987
Fonts for number boxes/int displayed in foreign language(Khmer)
2014-07-30 08:38 AM - marc-antoine chabot

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19330
Description

Weird issue on a single computer.
Everywhere there's a number box, or even when | convert a string to a number on the composer, | get a change of regional script for the
numbers used.

Example: 47% shows up as [21%
http://en.wikipedia.org/wiki/Khmer_numerals

See screenshot. Copied and pasted number field in a notepad for clarity.

Any suggestion on how to locally fix this?
Windows 7 enterprise. Run off a local folder. Both 2.0 and 2.4 portable have the issue on that computer.

Please note | am using the portable version of 2.4.0 on a computer where | don't have local admin rights.

History

#1 - 2014-07-30 08:39 AM - Giovanni Manghi
- Category set to GUI

#2 - 2014-07-30 09:10 AM - marc-antoine chabot

- File khmer_1.jpg added

Also note that Labels are also behaving this way, not just the GUI.

A field named "Frequency" will show up just fine on a map, but if | try to format it differently, it will show up in Thai or Khmer.
(I don't use either language. Just French/English for me)

example:

field is Frequency with value 162.500

format_number("Frequency",3) > PIA2[27] (162.500 in khmer fonts)
"Frequency" > 162.5

screenshot has the following label:
concat(format_number("Frequency",3)," ; ',"Frequency")

#3 - 2014-07-30 09:11 AM - marc-antoine chabot
- File khmer_2.jpg added
http://en.wikipedia.org/wiki/Khmer_numerals

#4 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

normal_1.jpg 62.5 KB 2014-07-30 marc-antoine chabot
khmer_1.jpg 72.2 KB 2014-07-30 marc-antoine chabot
khmer_1.jpg 72.2 KB 2014-07-30 marc-antoine chabot
khmer_2.jpg 82.3 KB 2014-07-30 marc-antoine chabot
